Get Item Type White List
1 min
GET
https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-item-type-white-list
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Responses
200
- DMCItemWhiteListResponse[]Example
[ { "id": "b3307f2d-2b36-4fda-9392-e433624e4ce4", "tenant": "denvermattress", "siteIds": [ "8d3ea3bc-f65b-4227-9fa6-6fae40e4575a" ], "name": "Adjustable Items", "rateSetting": "Local", "description": "this list will help in haul away", "itemTypeIds": [ { "id": "5777e656-4fcc-46ef-b64b-7c18cf90f583", "name": "Bed sheet" } ], "isActive": true } ]Description- idstring
- tenantstring
- siteIdsstring[]
- namestring
- descriptionstring
- itemTypeIdsCatalogItemType[]Description
- idstring
- namestring
- rateSettingRateSettingDescription
- isActiveboolean
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- object
- namestring
- codestring
- detailstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-item-type-white-list \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-item-type-white-list", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-item-type-white-list")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-item-type-white-list"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK-the rate(s) are successfully returned.
[
{
"id": "",
"tenant": "",
"siteIds": [
""
],
"name": "",
"description": "",
"itemTypeIds": [
{
"id": "",
"name": ""
}
],
"rateSetting": "",
"isActive": false
}
]401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// Not Found
{
"name": "",
"code": "",
"detail": ""
}